/* Sistemas Integrados TECNISA

Nome: 0102_FISTRGO.SQL

Descrio:
   Trigger apagar vnculo da nota fiscal com o mapa de apurao

Criao:
   29/10/2012 - Felipe Santos

Tabela NOTAFISCAL: Nota Fiscal.
Descrio: A trigger apaga o contedo do campo DTREFMAPAPU na tabela NOTAFISCAL a partir do
desaprovao ou cancelamento da emisso da nota fiscal.
*/

CREATE OR REPLACE TRIGGER DT_REFERENCIA_MAPA
BEFORE UPDATE ON NOTAFISCAL FOR EACH ROW
DECLARE
   V_IDNFFORAPERAPU   VARCHAR2(01);
BEGIN
   /* utiliza nota fiscal vinculada no mapa */
   SELECT MAX(IDNFFORAPERAPU)
     INTO V_IDNFFORAPERAPU
     FROM PARAMFISCAL;

   IF V_IDNFFORAPERAPU = 'S' THEN
      IF UPDATING THEN
         IF (:NEW.IDSTATUS <> :OLD.IDSTATUS) THEN
            IF (:NEW.IDSTATUS NOT IN ('A','E')) THEN
               :NEW.DTREFMAPAPU := NULL;

            UPDATE IMPOSTONF
               SET DTREFMAPAPU = NULL
             WHERE CDFILIAL   = :NEW.CDFILIAL
               AND NRLANCTONF = :NEW.NRLANCTONF;
            END IF;
         END IF;
      END IF;
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('DT_REFERENCIA_MAPA','6.05.000'); END;
/
