/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_IMPRLOJA                                                 */
/* Tabela : IMPRESSORA POR LOJA                                               */
/*                                                                            */
/* Criao:                                                                   */
/* 28/01/2013 - Leonardo Matos                                                */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_IMPRLOJA
BEFORE INSERT OR UPDATE OR DELETE
ON IMPRLOJA FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATU := SYSDATE;
   END IF;
   IF UPDATING THEN
      :NEW.DTULTATU := SYSDATE;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('IMPRLOJA',:OLD.CDFILIAL, 'CDFILIAL='||:OLD.CDFILIAL||';CDLOJA='||:OLD.CDLOJA||';NRSEQIMPRLOJA='||:OLD.NRSEQIMPRLOJA||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE IMPRLOJA MODIFY DTULTATU DEFAULT SYSDATE
/

UPDATE IMPRLOJA SET DTULTATU = SYSDATE WHERE DTULTATU IS NULL
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_IMPRLOJA','5.50.000'); END;
/

