CREATE OR REPLACE TRIGGER LOG_ATE_DELIVERY
AFTER UPDATE OR INSERT OR DELETE
ON DELIVERY FOR EACH ROW
DECLARE
  V_TIPO         VARCHAR2(1);
  V_DSREMOTEADDR VARCHAR2(15);
  V_DSREMOTEHOST VARCHAR2(15);
  V_DSSERVERRDM  VARCHAR2(20);
  V_DSSERVMETHOD VARCHAR2(30);
  V_DSREMOTEOPER VARCHAR2(12);
  V_DESC         VARCHAR2(1000);
  V_ITPESQ       VARCHAR2(40);
  V_NMOPERADOR   VARCHAR2(40);
BEGIN
/* IDTIPOOPER - '1' - Incluso, '2' - Alterao, '3' - Excluso*/
   V_TIPO       := '0';
   V_DESC       := '';
   V_ITPESQ     := '';
   V_NMOPERADOR := '';

   NMUSUARIO(V_NMOPERADOR);
   WEBTUNNING(V_DSREMOTEADDR,
              V_DSREMOTEHOST,
              V_DSSERVERRDM,
              V_DSSERVMETHOD,
              V_DSREMOTEOPER);
   IF DELETING THEN
      IF :OLD.CDFILIAL IS NOT NULL THEN
         V_DESC := V_DESC || ' CdFili=' ||:OLD.CDFILIAL;
      END IF;
      IF :OLD.NRDELIVERY IS NOT NULL THEN
         V_DESC := V_DESC || ' NrDel=' ||:OLD.NRDELIVERY;
      END IF;
      IF :OLD.CDCIA IS NOT NULL THEN
         V_DESC := V_DESC || ' CdCia=' ||:OLD.CDCIA;
      END IF;
      IF :OLD.NRVOO IS NOT NULL THEN
         V_DESC := V_DESC || ' NrVoo=' ||:OLD.NRVOO;
      END IF;
      IF :OLD.CDTRECHO IS NOT NULL THEN
         V_DESC := V_DESC || ' CdTrecho=' ||:OLD.CDTRECHO;
      END IF;
      IF :OLD.DTHRPLAVOOPV IS NOT NULL THEN
         V_DESC := V_DESC || ' DtHrPlaVoo=' ||:OLD.DTHRPLAVOOPV;
      END IF;
      IF :OLD.DTEMISDEL IS NOT NULL THEN
         V_DESC := V_DESC || ' DtEmis=' ||:OLD.DTEMISDEL;
      END IF;
      IF :OLD.HREMISDEL IS NOT NULL THEN
         V_DESC := V_DESC || ' HrEmis=' ||:OLD.HREMISDEL;
      END IF;
      IF :OLD.IDSITDEL IS NOT NULL THEN
         V_DESC := V_DESC || ' IdSitDel=' ||:OLD.IDSITDEL;
      END IF;
      IF :OLD.NRDELIVERYFA IS NOT NULL THEN
         V_DESC := V_DESC || ' NrDelFa=' ||:OLD.NRDELIVERYFA;
      END IF;
      IF :OLD.CDLOCAFATCIA IS NOT NULL THEN
         V_DESC := V_DESC || ' CdLocFatCia=' ||:OLD.CDLOCAFATCIA;
      END IF;
      IF :OLD.CDLOCALDELIV IS NOT NULL THEN
         V_DESC := V_DESC || ' CdLocDel=' ||:OLD.CDLOCALDELIV;
      END IF;
      IF :OLD.NRDELEMISS IS NOT NULL THEN
         V_DESC := V_DESC || ' NrDelEmis=' ||:OLD.NRDELEMISS;
      END IF;
      IF :OLD.IDDELIEXPSAP IS NOT NULL THEN
         V_DESC := V_DESC || ' IdDelExpSAP=' ||:OLD.IDDELIEXPSAP;
      END IF;      
      IF :OLD.VRTXAEROR IS NOT NULL THEN
         V_DESC := V_DESC || ' VrTxAeroR=' ||:OLD.VRTXAEROR;
      END IF;
      IF :OLD.VRBACATX IS NOT NULL THEN
         V_DESC := V_DESC || ' VrBacaTx=' ||:OLD.VRBACATX;
      END IF;
      IF :OLD.VRTXAEROD IS NOT NULL THEN
         V_DESC := V_DESC || ' VrTxAeroD=' ||:OLD.VRTXAEROD;
      END IF;
      IF :OLD.VRPETXAERO IS NOT NULL THEN
         V_DESC := V_DESC || ' VrPeTxAero=' ||:OLD.VRPETXAERO;
      END IF;
      IF :OLD.VRCOTDOLAR IS NOT NULL THEN
         V_DESC := V_DESC || ' VrCotDol=' ||:OLD.VRCOTDOLAR;
      END IF;      
      IF :OLD.VRDESCDEL IS NOT NULL THEN
         V_DESC := V_DESC || ' VrDescDel=' ||:OLD.VRDESCDEL;
      END IF;
      IF :OLD.TXDESCDEL IS NOT NULL THEN
         V_DESC := V_DESC || ' TxDescDel=' ||:OLD.TXDESCDEL;
      END IF;
      IF :OLD.VRDESCDESV IS NOT NULL THEN
         V_DESC := V_DESC || ' VrDescDesv=' ||:OLD.VRDESCDESV;
      END IF;
      IF :OLD.VRDESCCOND IS NOT NULL THEN
         V_DESC := V_DESC || ' VrDescCond=' ||:OLD.VRDESCCOND;
      END IF;
      IF :OLD.VRDESCFIXO IS NOT NULL THEN
         V_DESC := V_DESC || ' VrDescFixo=' ||:OLD.VRDESCFIXO;
      END IF;
       IF :OLD.VRDESCSRV IS NOT NULL THEN
         V_DESC := V_DESC || ' VrDescSrv=' ||:OLD.VRDESCSRV;
      END IF;
      IF :OLD.IDTIPNACDEL IS NOT NULL THEN
         V_DESC := V_DESC || ' IdTpNacDel=' ||:OLD.IDTIPNACDEL;
      END IF;
      IF :OLD.CDOPCANCDELI IS NOT NULL THEN
         V_DESC := V_DESC || ' CdOpCanDel=' ||:OLD.CDOPCANCDELI;
      END IF;
      IF :OLD.NMRESPDEL IS NOT NULL THEN
         V_DESC := V_DESC || ' NmRespDel=' ||:OLD.NMRESPDEL;
      END IF;
      IF :OLD.NRMVESTFECHDEL IS NOT NULL THEN
         V_DESC := V_DESC || ' NrMvEstFecDel=' ||:OLD.NRMVESTFECHDEL;
      END IF;
      IF :OLD.NRLANCFECHDEL IS NOT NULL THEN
         V_DESC := V_DESC || ' NrLanFecDel=' ||:OLD.NRLANCFECHDEL;
      END IF;

      V_TIPO   := '3';
      V_ITPESQ := :OLD.CDFILIAL||'|'||:OLD.NRDELIVERY;
   ELSE
      IF UPDATING THEN
         IF (NVL(:OLD.CDFILIAL,'!')          <> NVL(:NEW.CDFILIAL,'!'))          OR
            (NVL(:OLD.NRDELIVERY, 0)         <> NVL(:NEW.NRDELIVERY, 0))         OR
            (NVL(:OLD.CDCIA,'!')             <> NVL(:NEW.CDCIA,'!'))             OR
            (NVL(:OLD.NRVOO,'!')             <> NVL(:NEW.NRVOO,'!'))             OR
            (NVL(:OLD.CDTRECHO,'!')          <> NVL(:NEW.CDTRECHO,'!'))          OR
            (NVL(:OLD.DTHRPLAVOOPV, SYSDATE) <> NVL(:NEW.DTHRPLAVOOPV, SYSDATE)) OR
            (NVL(:OLD.DTEMISDEL, SYSDATE)    <> NVL(:NEW.DTEMISDEL, SYSDATE))    OR
            (NVL(:OLD.HREMISDEL,'!')         <> NVL(:NEW.HREMISDEL,'!'))         OR
            (NVL(:OLD.IDSITDEL,'!')          <> NVL(:NEW.IDSITDEL,'!'))          OR
            (NVL(:OLD.NRDELIVERYFA, 0)       <> NVL(:NEW.NRDELIVERYFA, 0))       OR
            (NVL(:OLD.CDLOCAFATCIA,'!')      <> NVL(:NEW.CDLOCAFATCIA,'!'))      OR
            (NVL(:OLD.CDLOCALDELIV,'!')      <> NVL(:NEW.CDLOCALDELIV,'!'))      OR
            (NVL(:OLD.NRDELEMISS, 0)         <> NVL(:NEW.NRDELEMISS, 0))         OR
            (NVL(:OLD.IDDELIEXPSAP,'!')      <> NVL(:NEW.IDDELIEXPSAP,'!'))      OR
            (NVL(:OLD.VRTXAEROR, 0)          <> NVL(:NEW.VRTXAEROR, 0))          OR
            (NVL(:OLD.VRBACATX, 0)           <> NVL(:NEW.VRBACATX, 0))           OR
            (NVL(:OLD.VRTXAEROD, 0)          <> NVL(:NEW.VRTXAEROD, 0))          OR
            (NVL(:OLD.VRPETXAERO, 0)         <> NVL(:NEW.VRPETXAERO, 0))         OR
            (NVL(:OLD.VRCOTDOLAR, 0)         <> NVL(:NEW.VRCOTDOLAR, 0))         OR
            (NVL(:OLD.VRDESCDEL, 0)          <> NVL(:NEW.VRDESCDEL, 0))          OR
            (NVL(:OLD.TXDESCDEL,'!')         <> NVL(:NEW.TXDESCDEL,'!'))         OR
            (NVL(:OLD.VRDESCDESV, 0)         <> NVL(:NEW.VRDESCDESV, 0))         OR
            (NVL(:OLD.VRDESCCOND, 0)         <> NVL(:NEW.VRDESCCOND, 0))         OR
            (NVL(:OLD.VRDESCFIXO, 0)         <> NVL(:NEW.VRDESCFIXO, 0))         OR
            (NVL(:OLD.VRDESCSRV, 0)          <> NVL(:NEW.VRDESCSRV, 0))          OR                   
            (NVL(:OLD.IDTIPNACDEL,'!')       <> NVL(:NEW.IDTIPNACDEL,'!'))       OR
            (NVL(:OLD.CDOPCANCDELI,'!')      <> NVL(:NEW.CDOPCANCDELI,'!'))      OR
            (NVL(:OLD.NMRESPDEL,'!')         <> NVL(:NEW.NMRESPDEL,'!'))         OR
            (NVL(:OLD.NRMVESTFECHDEL,'!')    <> NVL(:NEW.NRMVESTFECHDEL,'!'))    OR
            (NVL(:OLD.NRLANCFECHDEL,'!')     <> NVL(:NEW.NRLANCFECHDEL,'!'))     THEN
            
            IF (NVL(:NEW.CDFILIAL,'!') <> NVL(:OLD.CDFILIAL,'!')) THEN
               V_DESC := V_DESC || ' CdFili=' ||:NEW.CDFILIAL;
            END IF;
            IF (NVL(:NEW.NRDELIVERY, 0) <> NVL(:OLD.NRDELIVERY, 0)) THEN
               V_DESC := V_DESC || ' NrDel=' ||:NEW.NRDELIVERY;
            END IF;
            IF (NVL(:NEW.CDCIA,'!') <> NVL(:OLD.CDCIA,'!')) THEN
               V_DESC := V_DESC || ' CdCia=' ||:NEW.CDCIA;
            END IF;
            IF (NVL(:NEW.NRVOO,'!') <> NVL(:OLD.NRVOO,'!')) THEN
               V_DESC := V_DESC || ' NrVoo=' ||:NEW.NRVOO;
            END IF;
            IF (NVL(:NEW.CDTRECHO,'!') <> NVL(:OLD.CDTRECHO,'!')) THEN
               V_DESC := V_DESC || ' CdTrecho=' ||:NEW.CDTRECHO;
            END IF;
            IF (NVL(:NEW.DTHRPLAVOOPV, SYSDATE) <> NVL(:OLD.DTHRPLAVOOPV, SYSDATE)) THEN
               V_DESC := V_DESC || ' DtHrPlaVoo=' ||:NEW.DTHRPLAVOOPV;
            END IF;
            IF (NVL(:NEW.DTEMISDEL, SYSDATE) <> NVL(:OLD.DTEMISDEL, SYSDATE)) THEN
               V_DESC := V_DESC || ' DtEmis=' ||:NEW.DTEMISDEL;
            END IF;
            IF (NVL(:NEW.HREMISDEL,'!') <> NVL(:OLD.HREMISDEL,'!')) THEN
               V_DESC := V_DESC || ' HrEmis=' ||:NEW.HREMISDEL;
            END IF;
            IF (NVL(:NEW.IDSITDEL,'!') <> NVL(:OLD.IDSITDEL,'!')) THEN
               V_DESC := V_DESC || ' IdSitDel=' ||:NEW.IDSITDEL;
            END IF;
            IF (NVL(:NEW.NRDELIVERYFA, 0) <> NVL(:OLD.NRDELIVERYFA, 0)) THEN
               V_DESC := V_DESC || ' NrDelFa=' ||:NEW.NRDELIVERYFA;
            END IF;
            IF (NVL(:NEW.CDLOCAFATCIA,'!') <> NVL(:OLD.CDLOCAFATCIA,'!')) THEN
               V_DESC := V_DESC || ' CdLocFatCia=' ||:NEW.CDLOCAFATCIA;
            END IF;
            IF (NVL(:NEW.CDLOCALDELIV,'!') <> NVL(:OLD.CDLOCALDELIV,'!')) THEN
               V_DESC := V_DESC || ' CdLocDel=' ||:NEW.CDLOCALDELIV;
            END IF;
            IF (NVL(:NEW.NRDELEMISS, 0) <> NVL(:OLD.NRDELEMISS, 0)) THEN
               V_DESC := V_DESC || ' NrDelEmis=' ||:NEW.NRDELEMISS;
            END IF;
            IF (NVL(:NEW.IDDELIEXPSAP,'!') <> NVL(:OLD.IDDELIEXPSAP,'!')) THEN
               V_DESC := V_DESC || ' IdDelExpSAP=' ||:NEW.IDDELIEXPSAP;
            END IF;      
            IF (NVL(:NEW.VRTXAEROR, 0) <> NVL(:OLD.VRTXAEROR, 0)) THEN
               V_DESC := V_DESC || ' VrTxAeroR=' ||:NEW.VRTXAEROR;
            END IF;
            IF (NVL(:NEW.VRBACATX, 0) <> NVL(:OLD.VRBACATX, 0)) THEN
               V_DESC := V_DESC || ' VrBacaTx=' ||:NEW.VRBACATX;
            END IF;
            IF (NVL(:NEW.VRTXAEROD, 0) <> NVL(:OLD.VRTXAEROD, 0)) THEN
               V_DESC := V_DESC || ' VrTxAeroD=' ||:NEW.VRTXAEROD;
            END IF;
            IF (NVL(:NEW.VRPETXAERO, 0) <> NVL(:OLD.VRPETXAERO, 0)) THEN
               V_DESC := V_DESC || ' VrPeTxAero=' ||:NEW.VRPETXAERO;
            END IF;
            IF (NVL(:NEW.VRCOTDOLAR, 0) <> NVL(:OLD.VRCOTDOLAR, 0)) THEN
               V_DESC := V_DESC || ' VrCotDol=' ||:NEW.VRCOTDOLAR;
            END IF;      
            IF (NVL(:NEW.VRDESCDEL, 0) <> NVL(:OLD.VRDESCDEL, 0)) THEN
               V_DESC := V_DESC || ' VrDescDel=' ||:NEW.VRDESCDEL;
            END IF;
            IF (NVL(:NEW.TXDESCDEL,'!') <> NVL(:OLD.TXDESCDEL,'!')) THEN
               V_DESC := V_DESC || ' TxDescDel=' ||:NEW.TXDESCDEL;
            END IF;
            IF (NVL(:NEW.VRDESCDESV, 0) <> NVL(:OLD.VRDESCDESV, 0)) THEN
               V_DESC := V_DESC || ' VrDescDesv=' ||:NEW.VRDESCDESV;
            END IF;
            IF (NVL(:NEW.VRDESCCOND, 0) <> NVL(:OLD.VRDESCCOND, 0)) THEN
               V_DESC := V_DESC || ' VrDescCond=' ||:NEW.VRDESCCOND;
            END IF;
            IF (NVL(:NEW.VRDESCFIXO, 0) <> NVL(:OLD.VRDESCFIXO, 0)) THEN
               V_DESC := V_DESC || ' VrDescFixo=' ||:NEW.VRDESCFIXO;
            END IF;
            IF (NVL(:NEW.VRDESCSRV, 0) <> NVL(:OLD.VRDESCSRV, 0)) THEN
               V_DESC := V_DESC || ' VrDescSrv=' ||:NEW.VRDESCSRV;
            END IF;
            IF (NVL(:NEW.IDTIPNACDEL,'!') <> NVL(:OLD.IDTIPNACDEL,'!')) THEN
               V_DESC := V_DESC || ' IdTpNacDel=' ||:NEW.IDTIPNACDEL;
            END IF;
            IF (NVL(:NEW.CDOPCANCDELI,'!') <> NVL(:OLD.CDOPCANCDELI,'!')) THEN
               V_DESC := V_DESC || ' CdOpCanDel=' ||:NEW.CDOPCANCDELI;
            END IF;
            IF (NVL(:NEW.NMRESPDEL,'!') <> NVL(:OLD.NMRESPDEL,'!')) THEN
               V_DESC := V_DESC || ' NmRespDel=' ||:NEW.NMRESPDEL;
            END IF;
            IF (NVL(:NEW.NRMVESTFECHDEL,'!') <> NVL(:OLD.NRMVESTFECHDEL,'!')) THEN
               V_DESC := V_DESC || ' NrMvEstFecDel=' ||:NEW.NRMVESTFECHDEL;
            END IF;
            IF (NVL(:NEW.NRLANCFECHDEL,'!') <> NVL(:OLD.NRLANCFECHDEL,'!')) THEN
               V_DESC := V_DESC || ' NrLanFecDel=' ||:NEW.NRLANCFECHDEL;
            END IF;
            
            V_TIPO   := '2';
            V_ITPESQ := :OLD.CDFILIAL||'|'||:OLD.NRDELIVERY;
         END IF;
      ELSE
         IF (NVL(:NEW.CDFILIAL,'!') <> NVL(:OLD.CDFILIAL,'!')) THEN
            V_DESC := V_DESC || ' CdFili=' ||:NEW.CDFILIAL;
         END IF;
         IF (NVL(:NEW.NRDELIVERY, 0) <> NVL(:OLD.NRDELIVERY, 0)) THEN
            V_DESC := V_DESC || ' NrDel=' ||:NEW.NRDELIVERY;
         END IF;
         IF (NVL(:NEW.CDCIA,'!') <> NVL(:OLD.CDCIA,'!')) THEN
            V_DESC := V_DESC || ' CdCia=' ||:NEW.CDCIA;
         END IF;
         IF (NVL(:NEW.NRVOO,'!') <> NVL(:OLD.NRVOO,'!')) THEN
            V_DESC := V_DESC || ' NrVoo=' ||:NEW.NRVOO;
         END IF;
         IF (NVL(:NEW.CDTRECHO,'!') <> NVL(:OLD.CDTRECHO,'!')) THEN
            V_DESC := V_DESC || ' CdTrecho=' ||:NEW.CDTRECHO;
         END IF;
         IF (NVL(:NEW.DTHRPLAVOOPV, SYSDATE) <> NVL(:OLD.DTHRPLAVOOPV, SYSDATE)) THEN
            V_DESC := V_DESC || ' DtHrPlaVoo=' ||:NEW.DTHRPLAVOOPV;
         END IF;
         IF (NVL(:NEW.DTEMISDEL, SYSDATE) <> NVL(:OLD.DTEMISDEL, SYSDATE)) THEN
            V_DESC := V_DESC || ' DtEmis=' ||:NEW.DTEMISDEL;
         END IF;
         IF (NVL(:NEW.HREMISDEL,'!') <> NVL(:OLD.HREMISDEL,'!')) THEN
            V_DESC := V_DESC || ' HrEmis=' ||:NEW.HREMISDEL;
         END IF;
         IF (NVL(:NEW.IDSITDEL,'!') <> NVL(:OLD.IDSITDEL,'!')) THEN
            V_DESC := V_DESC || ' IdSitDel=' ||:NEW.IDSITDEL;
         END IF;
         IF (NVL(:NEW.NRDELIVERYFA, 0) <> NVL(:OLD.NRDELIVERYFA, 0)) THEN
            V_DESC := V_DESC || ' NrDelFa=' ||:NEW.NRDELIVERYFA;
         END IF;
         IF (NVL(:NEW.CDLOCAFATCIA,'!') <> NVL(:OLD.CDLOCAFATCIA,'!')) THEN
            V_DESC := V_DESC || ' CdLocFatCia=' ||:NEW.CDLOCAFATCIA;
         END IF;
         IF (NVL(:NEW.CDLOCALDELIV,'!') <> NVL(:OLD.CDLOCALDELIV,'!')) THEN
            V_DESC := V_DESC || ' CdLocDel=' ||:NEW.CDLOCALDELIV;
         END IF;
         IF (NVL(:NEW.NRDELEMISS, 0) <> NVL(:OLD.NRDELEMISS, 0)) THEN
            V_DESC := V_DESC || ' NrDelEmis=' ||:NEW.NRDELEMISS;
         END IF;
         IF (NVL(:NEW.IDDELIEXPSAP,'!') <> NVL(:OLD.IDDELIEXPSAP,'!')) THEN
            V_DESC := V_DESC || ' IdDelExpSAP=' ||:NEW.IDDELIEXPSAP;
         END IF;      
         IF (NVL(:NEW.VRTXAEROR, 0) <> NVL(:OLD.VRTXAEROR, 0)) THEN
            V_DESC := V_DESC || ' VrTxAeroR=' ||:NEW.VRTXAEROR;
         END IF;
         IF (NVL(:NEW.VRBACATX, 0) <> NVL(:OLD.VRBACATX, 0)) THEN
            V_DESC := V_DESC || ' VrBacaTx=' ||:NEW.VRBACATX;
         END IF;
         IF (NVL(:NEW.VRTXAEROD, 0) <> NVL(:OLD.VRTXAEROD, 0)) THEN
            V_DESC := V_DESC || ' VrTxAeroD=' ||:NEW.VRTXAEROD;
         END IF;
         IF (NVL(:NEW.VRPETXAERO, 0) <> NVL(:OLD.VRPETXAERO, 0)) THEN
            V_DESC := V_DESC || ' VrPeTxAero=' ||:NEW.VRPETXAERO;
         END IF;
         IF (NVL(:NEW.VRCOTDOLAR, 0) <> NVL(:OLD.VRCOTDOLAR, 0)) THEN
            V_DESC := V_DESC || ' VrCotDol=' ||:NEW.VRCOTDOLAR;
         END IF;      
         IF (NVL(:NEW.VRDESCDEL, 0) <> NVL(:OLD.VRDESCDEL, 0)) THEN
            V_DESC := V_DESC || ' VrDescDel=' ||:NEW.VRDESCDEL;
         END IF;
         IF (NVL(:NEW.TXDESCDEL,'!') <> NVL(:OLD.TXDESCDEL,'!')) THEN
            V_DESC := V_DESC || ' TxDescDel=' ||:NEW.TXDESCDEL;
         END IF;
         IF (NVL(:NEW.VRDESCDESV, 0) <> NVL(:OLD.VRDESCDESV, 0)) THEN
            V_DESC := V_DESC || ' VrDescDesv=' ||:NEW.VRDESCDESV;
         END IF;
         IF (NVL(:NEW.VRDESCCOND, 0) <> NVL(:OLD.VRDESCCOND, 0)) THEN
            V_DESC := V_DESC || ' VrDescCond=' ||:NEW.VRDESCCOND;
         END IF;
         IF (NVL(:NEW.VRDESCFIXO, 0) <> NVL(:OLD.VRDESCFIXO, 0)) THEN
            V_DESC := V_DESC || ' VrDescFixo=' ||:NEW.VRDESCFIXO;
         END IF;
         IF (NVL(:NEW.VRDESCSRV, 0) <> NVL(:OLD.VRDESCSRV, 0)) THEN
            V_DESC := V_DESC || ' VrDescSrv=' ||:NEW.VRDESCSRV;
         END IF;
         IF (NVL(:NEW.IDTIPNACDEL,'!') <> NVL(:OLD.IDTIPNACDEL,'!')) THEN
            V_DESC := V_DESC || ' IdTpNacDel=' ||:NEW.IDTIPNACDEL;
         END IF;
         IF (NVL(:NEW.CDOPCANCDELI,'!') <> NVL(:OLD.CDOPCANCDELI,'!')) THEN
            V_DESC := V_DESC || ' CdOpCanDel=' ||:NEW.CDOPCANCDELI;
         END IF;
         IF (NVL(:NEW.NMRESPDEL,'!') <> NVL(:OLD.NMRESPDEL,'!')) THEN
            V_DESC := V_DESC || ' NmRespDel=' ||:NEW.NMRESPDEL;
         END IF;
         IF (NVL(:NEW.NRMVESTFECHDEL,'!') <> NVL(:OLD.NRMVESTFECHDEL,'!')) THEN
            V_DESC := V_DESC || ' NrMvEstFecDel=' ||:NEW.NRMVESTFECHDEL;
         END IF;
         IF (NVL(:NEW.NRLANCFECHDEL,'!') <> NVL(:OLD.NRLANCFECHDEL,'!')) THEN
            V_DESC := V_DESC || ' NrLanFecDel=' ||:NEW.NRLANCFECHDEL;
         END IF;
         
         V_TIPO   := '1';
         V_ITPESQ := :NEW.CDFILIAL||'|'||:NEW.NRDELIVERY;
      END IF;
   END IF;

   V_DESC := SUBSTR(V_DESC, 1, 300);
   IF V_TIPO <> '0' THEN
      IF NOT V_DESC IS NULL THEN
         INSERT INTO LOGOPERA
            (NMTABELA, DTOPERACAO, NMRESPOPER, IDTIPOOPER, DSOPERACAO, CDPESQITEM,
             DSRDMUSUOPER, DSENDUSUOPER, DSNMUSUOPER, DSMETUSUOPER, CDORESPOPER)
         VALUES
            ('DELIVERY', SYSDATE, NVL(V_NMOPERADOR,' '), V_TIPO, V_DESC, V_ITPESQ,
             V_DSSERVERRDM, V_DSREMOTEADDR, V_DSREMOTEHOST, V_DSSERVMETHOD, V_DSREMOTEOPER);
      END IF;
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('LOG_ATE_PLANOVOO','5.85.xxx'); END;
/ 